### Method

# GdkPixbuf.Pixbuf.flip

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_flip (
      const GdkPixbuf* src,
      gboolean horizontal
    )

#### Description [src]

Flips a pixbuf horizontally or vertically and returns the result in a new pixbuf.

#### Parameters

`horizontal` | `gboolean`
| `TRUE` to flip horizontally, `FALSE` to flip vertically

#### Return value

Returns: `GdkPixbuf`
the new pixbuf
Ownership of the data is transferred to the caller
Can be `NULL`